<template>
  <div id="magazin-all">
    <div class="container extended pt-4 pt-md-5">
      <h1>{{ $t('index.magazin.title') }}</h1>
    </div>

    <div class="bg-section-gradient widget-news section-border-top section-border-bottom"
      style="padding-top: 50px; padding-bottom: 50px;">
      <div class="container extended">
        <div class="row">
          <div v-for="entry in Magazin" :key="entry.id" class="col-sm-6 col-xl-3 mb-4 mb-xl-6">
            <div class="aspect-box">
              <div class="aspect-container">
                <magazin-card :entry="entry"></magazin-card>
              </div>
            </div>
          </div>
          <div v-if="!hasMagazin" class="col">
            {{ $t('index.magazin.nomagazin') }}
          </div>
        </div>
      </div>
    </div>

    <div :style="
      'background-image: url(' +
      require('~/assets/images/screenshot/ragus_goo.1920x1080.jpg') +
      ');background-position:center;height:240px;'
    " class="d-none d-md-block"></div>
  </div>
</template>

<script>
import MagazinCard from '~/components/cards/magazin-card';
export default {
  auth: false,
  components: { MagazinCard },
  data() {
    return {
      Magazin: [
        { linkTo: "/magazin/1", imageUrl: "guildislands1-text.jpg", title: "magazin.1.title" },
        { linkTo: "/magazin/2", imageUrl: "arionasis_2.jpg", title: "magazin.2.title" },
        { linkTo: "/magazin/3", imageUrl: "maupas-bill.jpg", title: "magazin.3.title" },
        { linkTo: "/magazin/4", imageUrl: "ariald_behind_the_scenes_4.png", title: "magazin.4.title" },
        { linkTo: "/magazin/5", imageUrl: "behind_the_scenes_5.png", title: "magazin.5.title" },
      ]
    }
  },
  computed: {
    hasMagazin() {
      return this.Magazin.length > 0;
    },
  },
};
</script>